> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update brokerage firm

> Updates a brokerage firm identified by brokerageFirmId. Provide only the fields that should be changed in the body. Requires edit permissions on the brokerage firm.



## OpenAPI

````yaml /openapi.json patch /brokerage-firms/{brokerageFirmId}
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /brokerage-firms/{brokerageFirmId}:
    patch:
      tags:
        - brokerage-firms
      summary: Update brokerage firm
      description: >-
        Updates a brokerage firm identified by brokerageFirmId. Provide only the
        fields that should be changed in the body. Requires edit permissions on
        the brokerage firm.
      operationId: BrokerageFirmController_updateBrokerageFirm
      parameters:
        - name: brokerageFirmId
          required: true
          in: path
          description: Brokerage firm id
          schema:
            type: string
      requestBody:
        required: true
        description: Fields to update in the brokerage firm
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateBrokerageFirmInputBody'
      responses:
        '200':
          description: Brokerage firm updated successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateBrokerageFirmOutput'
        '400':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/DuplicatedProductErrorDto'
              examples:
                DUPLICATED_PRODUCT:
                  $ref: '#/components/schemas/DuplicatedProductErrorDto'
          description: ''
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/BrokerageFirmNotFoundErrorDto'
                  - $ref: '#/components/schemas/CompanyNotFoundErrorDto'
                  - $ref: '#/components/schemas/ProductNotFoundErrorDto'
              examples:
                BROKERAGE_FIRM_NOT_FOUND:
                  $ref: '#/components/schemas/BrokerageFirmNotFoundErrorDto'
                COMPANY_NOT_FOUND:
                  $ref: '#/components/schemas/CompanyNotFoundErrorDto'
                PRODUCT_NOT_FOUND:
                  $ref: '#/components/schemas/ProductNotFoundErrorDto'
          description: ''
components:
  schemas:
    UpdateBrokerageFirmInputBody:
      type: object
      properties:
        customFields:
          description: custom fields per product
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldDto'
        customFieldsToDelete:
          description: Custom fields to delete
          type: array
          items:
            type: string
    UpdateBrokerageFirmOutput:
      type: object
      properties: {}
    DuplicatedProductErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - DUPLICATED_PRODUCT
        message:
          type: string
          example: Duplicated product {product}
        details:
          $ref: '#/components/schemas/DuplicatedProductTypeDetailsDto'
      required:
        - code
        - message
        - details
    BrokerageFirmNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - BROKERAGE_FIRM_NOT_FOUND
        message:
          type: string
          example: No brokerage firm found for brokerage firm id {brokerageFirmId}
        details:
          $ref: '#/components/schemas/BrokerageFirmNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    CompanyNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - COMPANY_NOT_FOUND
        message:
          type: string
          example: No company found for siret number {siret}
        details:
          $ref: '#/components/schemas/CompanyNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    ProductNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - PRODUCT_NOT_FOUND
        message:
          type: string
          example: No product found for product id {productId}
        details:
          $ref: '#/components/schemas/ProductNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    CustomFieldDto:
      type: object
      properties:
        key:
          type: string
        value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
      required:
        - key
        - value
    DuplicatedProductTypeDetailsDto:
      type: object
      properties:
        product:
          type: string
      required:
        - product
    BrokerageFirmNotFoundDetailsDto:
      type: object
      properties:
        brokerageFirmId:
          type: string
        source:
          type: string
        policyId:
          type: string
      required:
        - brokerageFirmId
    CompanyNotFoundDetailsDto:
      type: object
      properties:
        siret:
          type: string
      required:
        - siret
    ProductNotFoundDetailsDto:
      type: object
      properties:
        tenantId:
          type: string
        productId:
          type: string
      required:
        - productId

````